Account Transfer Lite API
Introduction
This API verifies whether the account is active or inactive by doing a penny drop.The parameters to be passed along with the API request are Account number, IFSC code, account holder name etc.
How to call the API
You will need to login before sending request. You are required to pass the access token received from the login call, as authorization header in the IMPS transfer request.
API Input Guidelines
Beneficiary Account and Beneficiary IFSC are mandatory Parameters. Other parameters are listed below and all of these are optional.
- Beneficiary Name (Optional)
- Beneficiary Mobile (Optional)
- Remarks (Optional)
- NameMatch Score (Optional)
- Email ID (Optional; for notifying about penny drop transaction in the bank account)
IFSC has two parameters - one will identify the name of the bank and another will identify the branch. So, here it will check the name of the bank, not the branch of the bank. It will verify the transaction based on the bank irrespective of any branch of that bank.
Example: SBIN0011542/ SBIN0011545 both will work here to complete the transaction for a particular beneficiary account belongs with the same bank.
Name of the account holder will be returned as it is registered in NPCI .
Sample Curl
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/<Patron ID>/bankaccountverifications' \
--header 'Authorization: <token>' \
--header 'content-type: application/json' \
--data-raw '{
"task": "bankTransferLite",
"essentials": {
"beneficiaryMobile": "<mobile number>",
"beneficiaryAccount": "<accountname>",
"beneficiaryName": "<name>",
"beneficiaryIFSC": "<Ifsc Code>",
"nameMatchScore":"",
"nameFuzzy":"<True/False>",
"email":"<email Id>",
"remarks":"<remarks>"
}
}'Response Parameter
Parameter Name | Description |
|---|---|
task | Task to be performed-bankTransfer |
essentials | Essential part of the request |
essentials.beneficiaryMobile | Mobile Number of account holder |
essentials.beneficiaryAccount | Account number whose status to be checked |
essentials.beneficiaryName | Name of account holder |
essentials.beneficiaryIFSC | IFSC number of the Account Entered |
id | Unique ID of the response |
patronId | Unique Patron ID from the patron logon call |
result | Contains the result optained on hitting API |
result.active | It describes status of account i.e active or not |
result.reason | It contains the information about API hit.Whether the hit was successful or not. |
result.nameMatch | It describes about name match |
result.mobileMatch | It describes about mobile match |
result.signzyReferenceId | It holds signzy reference Id value |
result.auditTrail | It contains audit trial information |
result.auditTrail.nature | It describes nature of Audit trial |
result.auditTrail.value | It holds value of autit trial |
result.auditTrail.timestamp | It holds date and time value |
result.nameMatchScore | It holds name match score value |
result.bankTransfer | this block holds bank transfer details |
result.bankTransfer.response | It displays whether the transaction was successful or not |
result.bankTransfer.bankRRN | It contains bank RRN (RRN is a unique 12-digit number to identify a particular transaction.) |
result.bankTransfer.beneName | It holds account holder name |
result.bankTransfer.beneMobile | It holds mobile number |
result.bankTransfer.beneIFSC | It is the IFSC code details of account holder |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].